Bug 614700 - [abrt] crash in awn-extras-applets-0.4.0-17.fc13: yama.py:220:show_menu_editor_cb:RuntimeError: No menu editor found (alacarte, gmenu-simple-editor)
[abrt] crash in awn-extras-applets-0.4.0-17.fc13: yama.py:220:show_menu_edito...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: awn-extras-applets (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:61a7ecfa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 23:09 EDT by Vinayak Kumbhakern
Modified: 2010-09-17 04:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-17 04:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (570 bytes, text/plain)
2010-07-14 23:09 EDT, Vinayak Kumbhakern
no flags Details

  None (edit)
Description Vinayak Kumbhakern 2010-07-14 23:09:27 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/share/avant-window-navigator/applets/yama/yama.py --uid=1279158737 --window=56623145 --panel-id=1
component: awn-extras-applets
executable: /usr/share/avant-window-navigator/applets/yama/yama.py
kernel: 2.6.33.6-147.fc13.i686
package: awn-extras-applets-0.4.0-17.fc13
reason: yama.py:220:show_menu_editor_cb:RuntimeError: No menu editor found (alacarte, gmenu-simple-editor)
release: Fedora release 13 (Goddard)

backtrace
-----
yama.py:220:show_menu_editor_cb:RuntimeError: No menu editor found (alacarte, gmenu-simple-editor)

Traceback (most recent call last):
  File "/usr/share/avant-window-navigator/applets/yama/yama.py", line 220, in show_menu_editor_cb
    raise RuntimeError("No menu editor found (%s)" % ", ".join(menu_editor_apps))
RuntimeError: No menu editor found (alacarte, gmenu-simple-editor)

Local variables in innermost frame:
widget: <gtk.MenuItem object at 0xa11c554 (GtkMenuItem at 0x9f04a70)>
command: 'gmenu-simple-editor'
self: <__main__.YamaApplet instance at 0xa10fa0c>
Comment 1 Vinayak Kumbhakern 2010-07-14 23:09:29 EDT
Created attachment 431962 [details]
File: backtrace
Comment 2 leigh scott 2010-08-05 18:00:37 EDT
Try

su
yum install alacarte
Comment 3 leigh scott 2010-09-17 04:26:25 EDT
I'm closing this bug as I fixed it in version 0.4.0-19


%changelog
* Tue Sep 14 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-21
- apply upstream fix for mail  applet (Bz 591211)

* Mon Sep 13 2010 leigh scott <leigh123linux@googlemail.com> - 0.4.0-20
- apply upstream fix for dialect applet (Bz 607132)

* Thu Aug 05 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.4.0-19
- add requires alacarte (Bz 614700)

Note You need to log in before you can comment on or make changes to this bug.